# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CompositeCurveOnSurface Class Reference

`#include <StepGeom_CompositeCurveOnSurface.hxx>`

Inheritance diagram for StepGeom_CompositeCurveOnSurface:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_CompositeCurveOnSurface ()
| Returns a CompositeCurveOnSurface .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CompositeCurveOnSurface::StepGeom_CompositeCurveOnSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_CompositeCurveOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_CompositeCurve. Reimplemented in StepGeom_BoundaryCurve, and StepGeom_OuterBoundaryCurve.

The documentation for this class was generated from the following file:

- StepGeom_CompositeCurveOnSurface.hxx